CWStyleManager::Graphic Struct Reference

the Graphic structure in a CWStyleManager More...

`#include <CWStyleManager.hxx>`

## Public Member Functions

| Graphic ()
| constructor More...
MWAWColor | getLineColor () const
| returns the line color More...
MWAWColor | getSurfaceColor () const
| returns the surface color More...

## Public Attributes

int | m_lineWidth
| the line width More...
MWAWColor | m_color [2]
| the line and surface color More...
int | m_pattern [2]
| the line an surface pattern id More...
float | m_patternPercent [2]
| the line an surface pattern percent More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Graphic const &graph)
| operator<< More...

## Detailed Description

the Graphic structure in a CWStyleManager

## Constructor & Destructor Documentation

CWStyleManager::Graphic::Graphic | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWColor CWStyleManager::Graphic::getLineColor | ( |  | ) | const

returns the line color

Referenced by CWTable::readTableCells(), and CWTableInternal::TableCell::update().

MWAWColor CWStyleManager::Graphic::getSurfaceColor | ( |  | ) | const

returns the surface color

Referenced by CWTable::readTableCells().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | CWStyleManager::Graphic const & | graph
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWColor CWStyleManager::Graphic::m_color[2]

the line and surface color

Referenced by getLineColor(), Graphic(), operator<<(), and CWStyleManager::readGraphStyles().

std::string CWStyleManager::Graphic::m_extra

extra data

Referenced by operator<<(), and CWStyleManager::readGraphStyles().

int CWStyleManager::Graphic::m_lineWidth

the line width

Referenced by operator<<(), CWStyleManager::readGraphStyles(), CWTable::readTableCells(), and CWTableInternal::TableCell::update().

int CWStyleManager::Graphic::m_pattern[2]

the line an surface pattern id

Referenced by Graphic(), operator<<(), and CWStyleManager::readGraphStyles().

float CWStyleManager::Graphic::m_patternPercent[2]

the line an surface pattern percent

Referenced by getLineColor(), Graphic(), operator<<(), and CWStyleManager::readGraphStyles().

The documentation for this struct was generated from the following files:

- CWStyleManager.hxx
- CWStyleManager.cxx